org.apache.xalan.templates

## Class NamespaceAlias

- java.lang.Object
- - org.apache.xml.utils.UnImplNode
  - - org.apache.xalan.templates.ElemTemplateElement
    - - org.apache.xalan.templates.NamespaceAlias

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.transform.SourceLocator, XSLTVisitable, PrefixResolver, ExpressionNode, WhitespaceStrippingElementMatcher, org.w3c.dom.Document, org.w3c.dom.Element, org.w3c.dom.Node, org.w3c.dom.NodeList

      public class NamespaceAlias
      extends ElemTemplateElement

  Object to hold an xsl:namespace element. A stylesheet can use the xsl:namespace-alias element to declare that one namespace URI is an alias for another namespace URI.
  See Also:
    literal-result-element in XSLT Specification, Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamespaceAlias(int docOrderNumber)` Constructor NamespaceAlias

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResultNamespace()` Get the result namespace value.
    `java.lang.String` | `getResultPrefix()` Get the "result-prefix" attribute.
    `java.lang.String` | `getStylesheetNamespace()` Get the value for the stylesheet namespace.
    `java.lang.String` | `getStylesheetPrefix()` Get the "stylesheet-prefix" attribute.
    `void` | `recompose(StylesheetRoot root)` This function is called to recompose() all of the namespace alias properties elements.
    `void` | `setResultNamespace(java.lang.String v)` Set the result namespace.
    `void` | `setResultPrefix(java.lang.String v)` Set the "result-prefix" attribute.
    `void` | `setStylesheetNamespace(java.lang.String v)` Set the value for the stylesheet namespace.
    `void` | `setStylesheetPrefix(java.lang.String v)` Set the "stylesheet-prefix" attribute.

    - ### Methods inherited from class org.apache.xalan.templates.ElemTemplateElement

      `appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, getXSLToken, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

    - ### Methods inherited from class org.apache.xml.utils.UnImplNode

      `adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamespaceAlias

          public NamespaceAlias(int docOrderNumber)

      Constructor NamespaceAlias
      Parameters:
        `docOrderNumber` - The document order number

  - ### Method Detail

    - #### setStylesheetPrefix

          public void setStylesheetPrefix(java.lang.String v)

      Set the "stylesheet-prefix" attribute.
      Parameters:
        `v` - non-null prefix value.

    - #### getStylesheetPrefix

          public java.lang.String getStylesheetPrefix()

      Get the "stylesheet-prefix" attribute.
      Returns:
        non-null prefix value.

    - #### setStylesheetNamespace

          public void setStylesheetNamespace(java.lang.String v)

      Set the value for the stylesheet namespace.
      Parameters:
        `v` - non-null prefix value.

    - #### getStylesheetNamespace

          public java.lang.String getStylesheetNamespace()

      Get the value for the stylesheet namespace.
      Returns:
        non-null prefix value.

    - #### setResultPrefix

          public void setResultPrefix(java.lang.String v)

      Set the "result-prefix" attribute.
      Parameters:
        `v` - non-null prefix value.

    - #### getResultPrefix

          public java.lang.String getResultPrefix()

      Get the "result-prefix" attribute.
      Returns:
        non-null prefix value.

    - #### setResultNamespace

          public void setResultNamespace(java.lang.String v)

      Set the result namespace.
      Parameters:
        `v` - non-null namespace value

    - #### getResultNamespace

          public java.lang.String getResultNamespace()

      Get the result namespace value.
      Returns:
        non-null namespace value.

    - #### recompose

          public void recompose(StylesheetRoot root)

      This function is called to recompose() all of the namespace alias properties elements.
      Overrides:
        `recompose` in class `ElemTemplateElement`
      Parameters:
        `root` - The owning root stylesheet

Copyright © 2023 Apache XML Project. All Rights Reserved.